﻿using UnityEngine;
using System.Collections;

/*
 *  This script stores the stats of the player at any point in the game
 * */
public class CharacterStats : MonoBehaviour {
	/*
	 * This script will contain integers referring to which sprite to load.  This script will be filled out after character creation is over
	 * */
	// For Looks
	public int head;
	public int face;
	public int body;
	public int legs; // Might remove this
	public float hue; // Shifts color of entire player
	// For Gameplay
	public int vitality; // Directly determines how much hp player has (ex 1vit = 5hp)
	public int strength; // Players damage
	public int defense; // Players resistance to damage
	public int agility; // Players movement and attack speed
	public int luck; // Players chance of getting more money
    // For weapons (player will technically hold every weapon in the array, but it will switch between them)
    public WeaponStats[] weapons;
    public static int currentWeapon;
    public SpriteRenderer weaponSpriteRenderer;

    // Use this for initialization
    void Start () {
        weaponSpriteRenderer = GetComponent<SpriteRenderer>();
        //to find the weapon sprite
        if (weaponSpriteRenderer == null) {
            GameObject weaponSprite = GameObject.FindWithTag("currentWeapon");
            if (weaponSprite != null) {
                //Debug.Log("found");
                weaponSpriteRenderer = weaponSprite.GetComponent<SpriteRenderer>();
            }
        }

    }
	
	// Update is called once per frame
	void Update () {

        updateWeapon();
    }

    void updateWeapon() {
        if (weapons[currentWeapon].image == null) {
            Debug.Log("A weapon image was not set properly! (it's NULL)");
        }
        else {
            weaponSpriteRenderer.sprite = weapons[currentWeapon].image;

        }
    }
}
